Bug 1576336

Summary: Upgrade docs: all 'deploy' arguments need to be carried over to 'upgrade prepare/converge' commands
Product: Red Hat OpenStack Reporter: Jiri Stransky <jstransk>
Component: documentationAssignee: Dan Macpherson <dmacpher>
Status: CLOSED CURRENTRELEASE QA Contact: RHOS Documentation Team <rhos-docs>
Severity: urgent Docs Contact:
Priority: high    
Version: 13.0 (Queens)CC: augol, ccamacho, dbecker, dmacpher, jfrancoa, jschluet, jstransk, mandreou, mbracho, mbultel, mburns, mcornea, morazi, sclewis, srevivo
Target Milestone: ---Keywords: Documentation, Triaged
Target Release: 13.0 (Queens)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1571437 Environment:
Last Closed: 2018-08-13 04:22:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1571437    

Description Jiri Stransky 2018-05-09 08:48:05 UTC
We need to pass all `deploy` arguments to `upgrade prepare/converge` commands, not just -e parameters. (See bug 1571437 for possible effects if some params are left out.) This is most important for network data, roles data, and any role count parameters, but prepare/converge commands inherit from deploy, so we should simply carry over all.

There's a gotcha that some parameters were deprecated -- the --ntp-server and all --*-scale parameters. These should be converted into environment files, see

https://bugzilla.redhat.com/show_bug.cgi?id=1571437#c7

Comment 1 Jiri Stransky 2018-05-09 10:46:01 UTC
The commands which should receive all `deploy` args:

update prepare
update converge
upgrade prepare
upgrade converge
ffwd-upgrade prepare
ffwd-upgrade converge
ceph-upgrade run

Comment 2 Mike Orazi 2018-05-10 17:30:05 UTC
Once this is properly triaged, please make sure to add Documentation keyword.

Comment 4 Dan Macpherson 2018-08-10 03:33:20 UTC
Hi Jiri,

I ended up including a table with the deprecated CLI options:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/13/html/fast_forward_upgrades/assembly-preparing_for_overcloud_upgrade#deprecated-cli-options

And included the environment file for it with the ffu commands. E.g.

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/13/html/fast_forward_upgrades/assembly-upgrading_the_overcloud#performing_the_fast_forward_upgrade_of_the_overcloud

I also mentioned the use of --roles-file but on advice from Marius Cornea not to include the --network-files param for a couple of reasons (mainly OSP10 users will only have the default networks and we don't support changing networks in the middle of the upgrade).

How does all this sound to you? Is there anything else I should mentioned?

Comment 5 Jiri Stransky 2018-08-10 07:45:00 UTC
Hi Dan,

i looked at the doc parts you linked and i think all is good, thanks for making the edits.